﻿using Android.Content;
using Pixiview.Droid.Renderers;
using Pixiview.UI;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: ExportRenderer(typeof(BlurryPanel), typeof(BlurryPanelRenderer))]
namespace Pixiview.Droid.Renderers
{
    public class BlurryPanelRenderer : ViewRenderer
    {
        public BlurryPanelRenderer(Context context) : base(context)
        {
        }

        protected override void OnElementChanged(ElementChangedEventArgs<View> e)
        {
            base.OnElementChanged(e);

            SetBackgroundColor(Color.Black.MultiplyAlpha(.92).ToAndroid());
        }
    }
}
